OGRE: Ogre::D3D11PixelFormatToShaderType Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11PixelFormatToShaderType Class Reference

`#include <OgreD3D11PixelFormatToShaderType.h>`

Inheritance diagram for Ogre::D3D11PixelFormatToShaderType:
[legend]

## Public Member Functions
virtual const char * | getDataType (PixelFormatGpu pixelFormat, uint32 textureType, bool isMsaa, ResourceAccess::ResourceAccess access) const
virtual const char * | getPixelFormatType (PixelFormatGpu pixelFormat) const
| Converts a PixelFormat into its equivalent layout for image variables (GLSL) or its equivalent for D3D11/12 variables (HLSL). More...

## Member Function Documentation

## ◆ getDataType()

virtual const char* Ogre::D3D11PixelFormatToShaderType::getDataType | ( | PixelFormatGpu | pixelFormat,
|  | uint32 | textureType,
|  | bool | isMsaa,
|  | ResourceAccess::ResourceAccess | access
| ) |  | const
| virtual

Parameters

  pixelFormat |
  textureType | See TextureTypes::TextureTypes
  isMsaa |
  access | Texture access. Use ResourceAccess::Undefined for requesting sampling mode

Returns
  String for the shader to use "as is". Returned pointer may be null. The validity of the pointer lasts as long as the RenderSystem remains loaded.

Implements Ogre::PixelFormatToShaderType.

## ◆ getPixelFormatType()

virtual const char* Ogre::D3D11PixelFormatToShaderType::getPixelFormatType | ( | PixelFormatGpu | pixelFormat | ) | const
| virtual

Converts a PixelFormat into its equivalent layout for image variables (GLSL) or its equivalent for D3D11/12 variables (HLSL).

Used mostly with UAVs.

Parameters

  pixelFormat | Pixel format to convert.

Returns
  String for the shader to use "as is". If the Pixel Format doesn't have a shader equivalent (i.e. depth formats), a null pointer is returned. The validity of the pointer lasts as long as the RenderSystem remains loaded.

Implements Ogre::PixelFormatToShaderType.

The documentation for this class was generated from the following file:

- OgreD3D11PixelFormatToShaderType.h